> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Team Members

> List a team's human members + pending invitations. Any member may view.



## OpenAPI

````yaml /openapi.json get /api/v1/teams/{team_id}/members
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/members:
    get:
      tags:
        - Teams
      summary: List Team Members
      description: List a team's human members + pending invitations. Any member may view.
      operationId: list_team_members_api_v1_teams__team_id__members_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamMembersListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TeamMembersListResponse:
      properties:
        members:
          items:
            $ref: '#/components/schemas/TeamUserResponse'
          type: array
          title: Members
        invitations:
          items:
            $ref: '#/components/schemas/TeamInvitationResponse'
          type: array
          title: Invitations
        max_members:
          type: integer
          title: Max Members
        seats_used:
          type: integer
          title: Seats Used
        my_role:
          type: string
          title: My Role
      type: object
      required:
        - members
        - invitations
        - max_members
        - seats_used
        - my_role
      title: TeamMembersListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamUserResponse:
      properties:
        user_id:
          type: string
          format: uuid
          title: User Id
        email:
          type: string
          title: Email
        display_name:
          type: string
          title: Display Name
        role:
          type: string
          title: Role
        created_at:
          type: string
          format: date-time
          title: Created At
        invited_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Invited By User Id
      type: object
      required:
        - user_id
        - email
        - display_name
        - role
        - created_at
      title: TeamUserResponse
      description: A human member of a team.
    TeamInvitationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          title: Email
        role:
          type: string
          title: Role
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        invited_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Invited By User Id
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
      type: object
      required:
        - id
        - email
        - role
        - status
        - created_at
      title: TeamInvitationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````